﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {

}

.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    margin-bottom: 0px !important;
    padding-top: 0.4rem;
}

.wrapper-footer-container > div {
    display: flex; /* magic maker */
    justify-content: space-between; /* set equal space between boxes */
    height: 15px;
    min-width: 612px;
}

.footer-container > div{
vertical-align: top;
    display: inline-block;
    *display: inline;}

#bodyimage {
    margin-top: 3em;
    width: 100%;
    height: 100%
}

#imgdecimo {

}

.conditions{
    padding-right : 2em;
    text-align:center;
}

h3{
    font-size : 4vh;
}

#header {
    font-size: 1.5vh;
}

.responsive {
    width: 100%;
    max-width: 400px;
    height: auto;
}


.row {
    margin-top:3em!important;
}


/* Input quantity */
.number-input input[type="number"] {
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    /*appearance: textfield;*/
}

.number-input input[type=number]::-webkit-inner-spin-button,
.number-input input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
}

.number-input {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

    .number-input button {
        -webkit-appearance: none;
        background-color: transparent;
        border: none;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        margin: 0;
        position: relative;
    }

        .number-input button:before,
        .number-input button:after {
            display: inline-block;
            position: absolute;
            content: '';
            height: 2px;
            transform: translate(-50%, -50%);
        }

        .number-input button.plus:after {
            transform: translate(-50%, -50%) rotate(90deg);
        }

    .number-input input[type=number] {
        text-align: center;
    }

    .number-input.number-input {
        border: 1px solid #ced4da;
        width: 10rem;
        border-radius: .25rem;
    }

        .number-input.number-input button {
            width: 2.6rem;
            height: .7rem;
        }

            .number-input.number-input button.minus {
                padding-left: 10px;
            }

            .number-input.number-input button:before,
            .number-input.number-input button:after {
                width: .7rem;
                background-color: #495057;
            }

        .number-input.number-input input[type=number] {
            max-width: 4rem;
            padding: .5rem;
            border: 1px solid #ced4da;
            border-width: 0 1px;
            font-size: 1rem;
            height: 2rem;
            color: #495057;
        }

@media not all and (min-resolution:.001dpcm) {
    @supports (-webkit-appearance: none) and (stroke-color:transparent) {

        .number-input.def-number-input.safari_only button:before,
        .number-input.def-number-input.safari_only button:after {
            margin-top: -.3rem;
        }
    }
}

input:focus:invalid {
    background: url("https://assets.digitalocean.com/labs/icons/exclamation-triangle-fill.svg") no-repeat 95% 50% lightsalmon;
    background-size: 25px;
}

#loader {
    display: block;
}

#loader {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,.2);
    z-index: 10000;
    text-align: center;
}
